Bug 462806 - VLC opens when an item is selected from Places Menu
VLC opens when an item is selected from Places Menu
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-18 21:17 EDT by Mykal Anderson
Modified: 2009-08-09 18:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:37:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bugreports, 4 compressed (37.44 KB, application/x-gzip)
2008-09-18 21:17 EDT, Mykal Anderson
no flags Details

  None (edit)
Description Mykal Anderson 2008-09-18 21:17:38 EDT
Created attachment 317142 [details]
Bugreports, 4 compressed

Description of problem:
After an install of VLC player, I added a shortcut for it to the panel. I found after a restart that whenever I selected a folder option from the Places menu that VLC would open, attempt to add everything in that folder to the playlist, and usually crash. I have since uninstalled VLC, which fixes the problem, as soon as it is reinstalled though, problem surfaces, and there is now no shortcut in the panel for VLC.

Version-Release number of selected component (if applicable):
Up to date f9 install as of 19/09/08.
VLC media player 0.8.6i Janus (wxWidgets interface)

(c) 1996-2008 - the VideoLAN Team

Compiled by mockbuild@.(none).
Compiler: gcc version 4.3.0 20080428 (Red Hat 4.3.0-8) (GCC) .
This program comes with NO WARRANTY, to the extent permitted by law.
You may redistribute it under the terms of the GNU General Public Licence;
see the file named COPYING for details.
Written by the VideoLAN team; see the AUTHORS file.

How reproducible:
I have been unable to fix the fault yet to attempt to replicate.

Steps to Reproduce:
Not sure that this will reproduce fault but.
1. Install VLC
2. Drag and drop icon to panel. Restart
3. VLC no opens whenever a folder option is selected from places Menu. Non folder options ie, Computer, Search, seem unaffected.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kevin 2008-09-25 06:20:04 EDT
Post the output of 

cat ~/.local/share/applications/mimeapps.list 

Suspect you have done what I managed to do with a different application.
Comment 2 Mykal Anderson 2008-09-28 04:22:14 EDT
[Added Associations]
application/x-compressed-tar=gpk-install-file.desktop;
inode/directory=rhythmbox.desktop;livna-vlc.desktop;
x-content/video-dvd=livna-vlc.desktop;
text/x-eiffel=evince.desktop;
video/x-msvideo=livna-vlc.desktop;


Ok, so can you tell me how a broke it and how i now fix it?
Comment 3 Ray Strode [halfline] 2008-09-29 09:55:24 EDT
you should be able to right click on any normal folder (say the home folder on your desktop), right click, choose properties, go to the "Open With" tab and make sure that the only item in the list is "Open Folder".  If there are other items, click on them and then click Remove.
Comment 4 Tobias Mueller 2009-03-10 10:37:40 EDT
I had exactly the same problem. Well, it opened rhytmbox, but the hint in comment #3 fixed it for me. Maybe one should make it either more hard to overwrite the settings for opening a folder, or one should ensure that this "Places" thing works everytime...
Comment 5 Bug Zapper 2009-06-09 22:45:12 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 10:37:32 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Tobias Mueller 2009-08-09 18:49:03 EDT
Well, there's a suggestion in comment #4, but I won't bother to reopen this bug actually.

Note You need to log in before you can comment on or make changes to this bug.